# Icinga Director | (c) 2022 Icinga GmbH | GPLv2

%global shortname director

Name:    icinga-director
Version: 1.10.0
Release: 1%{?dist}
Summary: Configuration deployment tool in the Icinga ecosystem

Group:   Applications/System
License: GPLv2
URL:     https://icinga.com/
Source0: icinga-director-1.10.0.tgz

Requires: %{name}-daemon = %{version}-%{release}
Requires: %{name}-web = %{version}-%{release}

BuildArch: noarch

%global basedir %{_datadir}/icingaweb2/modules/%{shortname}

%description
Icinga Director is the configuration deployment tool in the Icinga ecosystem,
designed for automating configuration deployments,
but also for making changes directly in the webinterface.

%package php
Requires: icingaweb2-common >= 2.10.3
Requires: icinga-php-incubator >= 0.18.0
Summary: Icinga Director PHP files

%description php
PHP files for Icinga Director.

%package daemon
BuildRequires: systemd-rpm-macros
%if 0%{?suse_version}
Requires(pre): shadow
%else
Requires(pre): shadow-utils
%endif
Requires: %{name}-php = %{version}-%{release}
Requires: icingacli >= 2.10.3
%if 0%{?amzn}%{?rhel} == 7
Requires: rh-php73-php-process
%else
%if 0%{?suse_version}
Requires: php-posix
%else
Requires: php-process
%endif
%endif
Summary: Icinga Director daemon files

%description daemon
Daemon files for Icinga Director.

%package web
Requires: icingaweb2 >= 2.10.3
Requires: %{name}-php = %{version}-%{release}
Summary: Icinga Director web files

%description web
Web files for Icinga Director.

%prep
%autosetup

%build

%install
install -dm 0755 %{buildroot}%{basedir}
find . -type f -not -name LICENSE -not -name README.md -maxdepth 1 -exec cp -p "{}" %{buildroot}%{basedir} \;
find . -type d -not -path . -maxdepth 1 -exec cp -pr "{}" %{buildroot}%{basedir} \;
install -Dpm 0644 contrib/systemd/%{name}.service %{buildroot}%{_unitdir}/%{name}.service
install -dm 0750 %{buildroot}/var/lib/icingadirector

%files

%files php
%doc README.md
%docdir %{basedir}/doc
%license LICENSE
%{basedir}

%post php
# Only on install
if [ $1 == 1 ]; then
    if [ ! -d %{_sysconfdir}/icingaweb2/enabledModules ]; then
        install -dm 2770 -g icingaweb2 %{_sysconfdir}/icingaweb2/enabledModules
    fi

    ln -sf %{basedir} %{_sysconfdir}/icingaweb2/enabledModules/%{shortname}
fi

%preun php
if [ $1 == 0 ]; then
    rm -f %{_sysconfdir}/icingaweb2/enabledModules/%{shortname}
fi

%files daemon
%{_unitdir}/%{name}.service
%attr(-,icingadirector,icingaweb2) /var/lib/icingadirector

%pre daemon
getent passwd icingadirector >/dev/null || useradd -r -G icingaweb2 -d /var/lib/icingadirector -s /sbin/nologin icingadirector

%post daemon
%systemd_post %{name}.service

%preun daemon
%systemd_preun %{name}.service

%postun daemon
%systemd_postun_with_restart %{name}.service
test "$1" != 0 || userdel -rf icingadirector &>/dev/null || :

%files web

%changelog
* Thu Sep 22 2022 Icinga GmbH <info@icinga.com> - 1.10.0-1.fc36
- Version 1.10.0-1
